# mutex_null Class Reference

`#include <_mutex_null.h>`

List of all members.

## Public Member Functions

| mutex_null ()
| ~mutex_null ()
void | lock_mutex ()
bool | try_lock_mutex ()
void | unlock_mutex ()

## Classes

class | lock
| Exception-safe mutex lock class. More...

## Detailed Description

======================================================================== Extended Template and Library NULL Mutex Abstraction Class Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 37 of file _mutex_null.h.

## Constructor & Destructor Documentation

mutex_null::mutex_null | ( |  | ) | `[inline]`

Definition at line 41 of file _mutex_null.h.

mutex_null::~mutex_null | ( |  | ) | `[inline]`

Definition at line 42 of file _mutex_null.h.

## Member Function Documentation

void mutex_null::lock_mutex | ( |  | ) | `[inline]`

Definition at line 60 of file _mutex_null.h.

bool mutex_null::try_lock_mutex | ( |  | ) | `[inline]`

Definition at line 61 of file _mutex_null.h.

void mutex_null::unlock_mutex | ( |  | ) | `[inline]`

Definition at line 62 of file _mutex_null.h.

The documentation for this class was generated from the following file:

- _mutex_null.h